import { DefaultJitsuEvent } from "@jitsu/types/event";
import { SegmentEvent } from "@segment/analytics-next";
import { JitsuDestinationHints, CanonicalSqlTypeHint, SqlTypeHint, TableObject } from "@jitsu/types/sql-hints";
import { JitsuToSegmentMapper, SegmentEventType, SegmentTableObject } from "@jitsu/types/segment";
export declare const segmentEventsTypes: Record<SegmentEventType, boolean>;
export declare const getSegmentType: (jitsuType: string, customMapping: Record<string, SegmentEventType>, defaultSegmentType: SegmentEventType) => SegmentEventType;
export declare function removeProps(ev: Record<string, string>, props: string[]): {
    [x: string]: string;
};
export declare const jitsuToSegment: JitsuToSegmentMapper;
export declare const segmentToTable: (event: SegmentEvent, jitsuEvent?: DefaultJitsuEvent | undefined) => SegmentTableObject & JitsuDestinationHints<SegmentTableObject>;
export declare function canonicalSqlTypeHint(hint: SqlTypeHint): CanonicalSqlTypeHint;
export declare function removeEmptyFields<T>(obj: T): void;
export declare function flatten(obj: any, { separator, skipArrays }?: {
    separator?: string | undefined;
    skipArrays?: boolean | undefined;
}, path?: string[]): TableObject;
